package thyyxxk.webserver.entity.inpatient.inpatientcost;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class ZyDetailRefundParam {
    /**
     * 这个是一个组合 id
     * 用 zy_detail_charge 中的 inpatient_no,admiss_times,ledger_sn,detail_sn
     * 这些参数相加，得出的组合id
     */
    private List<String> rowId;

    // 这个list中只要有 detailSn 有值就可以了
    private List<ZyDetailChargeTable> list;

    /**
     * 住院号
     */
    private String inpatientNo;

    /**
     * 住院次数
     */
    private Integer admissTimes;

    /**
     * 退药的药房
     */
    private String groupNo;

    /**
     * 退药标志 refundOnly 只退费 drugWithdrawal 退费也退药
     */
    private String refundFlag;


    public List<Integer> getDetailSn() {
        List<Integer> detailSn = new ArrayList<>();
        for (ZyDetailChargeTable item : list) {
            detailSn.add(item.getDetailSn());
        }
        return detailSn;
    }

}
